Service Desk Practitioners Forum
cancel
Showing results for 
Search instead for 
Did you mean: 

upgrade 4.0 to 4.5 and database charactersets

SOLVED
Go to solution
Highlighted
Johbo
Regular Collector

upgrade 4.0 to 4.5 and database charactersets

Hello,

We are upgrading from SD 4.0 Sp1 to 4.5 Sp8. We want to export data from the SD4.0 Oracle 8 database and want to import this data into a Oracle 9 database. After that we upgrade the database to SD 4.5.

When we do that we get errors that seems to be created because of a wrong characterset. We have found a solution that we should use the OCI driver with W8*** characterset. This seems to be a workaround.

Another possibility is to use the UTF8 characterset.
When we create a database with UTF8 we get errors with the import because some Adresses of person records are too large for the tables. Oracle has a function that expends the columns in the database, but can HPSD handle that?

What Character set does HP recommend with 4.5??
1 REPLY
Mike Bush
Honored Contributor
Solution

Re: upgrade 4.0 to 4.5 and database charactersets

Apologies for delayed reply.

HP seem to recommend WE8ISO8859P15 or UTF8. The DB conf wizard has a special switch for creating enlarged fields to accommodate UTF8 so it seems pretty certain that they can cope. But they may prefer to have done it via their own flag so that IFC_ATTRIB_TYPES can be kept in step. Best bet would be to create a new database via the wizard, set this flag and see what it actually does (ie look at ATT_COLUMN_LENGTH)
//Add this to "OnDomLoad" event